# Method: providers.trips.create

- [HTTP request](https://developers.google.com/maps/documentation/mobility/fleet-engine/reference/trips/rest/v1/providers.trips/create#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/maps/documentation/mobility/fleet-engine/reference/trips/rest/v1/providers.trips/create#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/maps/documentation/mobility/fleet-engine/reference/trips/rest/v1/providers.trips/create#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/maps/documentation/mobility/fleet-engine/reference/trips/rest/v1/providers.trips/create#body.request_body)
- [Response body](https://developers.google.com/maps/documentation/mobility/fleet-engine/reference/trips/rest/v1/providers.trips/create#body.response_body)

Creates a trip in the Fleet Engine and returns the new trip.

### HTTP request

`POST https://fleetengine.googleapis.com/v1/{parent=providers/*}/trips`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. Must be in the format `providers/{provider}`. The provider must be the Project ID (for example, `sample-cloud-project`) of the Google Cloud Project of which the service account making this call is a member. |

### Query parameters

| Parameters ||
|---|---|
| `header` | ``object (`https://developers.google.com/maps/documentation/mobility/fleet-engine/reference/trips/rest/v1/RequestHeader`)`` The standard Fleet Engine request header. |
| `tripId` | `string` Required. Unique Trip ID. Subject to the following restrictions: - Must be a valid Unicode string. - Limited to a maximum length of 64 characters. - Normalized according to [Unicode Normalization Form C](http://www.unicode.org/reports/tr15/). - May not contain any of the following ASCII characters: '/', ':', '?', ',', or '#'. |

### Request body

The request body contains an instance of `https://developers.google.com/maps/documentation/mobility/fleet-engine/reference/trips/rest/v1/providers.trips#Trip`.

### Response body

If successful, the response body contains a newly created instance of `https://developers.google.com/maps/documentation/mobility/fleet-engine/reference/trips/rest/v1/providers.trips#Trip`.